Loading...
Searching...
No Matches
BALL::AssignBondOrderProcessor::Option Struct Reference

Option names. More...

`#include <BALL/STRUCTURE/assignBondOrderProcessor.h>`

## Static Public Attributes

static const char * | OVERWRITE_SINGLE_BOND_ORDERS
static const char * | OVERWRITE_DOUBLE_BOND_ORDERS
static const char * | OVERWRITE_TRIPLE_BOND_ORDERS
static const char * | OVERWRITE_SELECTED_BONDS
static const char * | ADD_HYDROGENS
static const char * | COMPUTE_ALSO_CONNECTIVITY
static const char * | CONNECTIVITY_CUTOFF
static const char * | USE_FINE_PENALTY
static const char * | KEKULIZE_RINGS
static const char * | ALGORITHM
static const char * | INIFile
static const char * | MAX_BOND_ORDER
static const char * | MAX_NUMBER_OF_SOLUTIONS
static const char * | MAX_PENALTY
static const char * | COMPUTE_ALSO_NON_OPTIMAL_SOLUTIONS
static const char * | BOND_LENGTH_WEIGHTING
static const char * | APPLY_FIRST_SOLUTION

## Detailed Description

Option names.

Definition at line 112 of file assignBondOrderProcessor.h.

## Member Data Documentation

## ADD_HYDROGENS

const char* BALL::AssignBondOrderProcessor::Option::ADD_HYDROGENS

static

add hydrogens based on free valences

NOTE: This option is still experimental!

Definition at line 146 of file assignBondOrderProcessor.h.

## ALGORITHM

const char* BALL::AssignBondOrderProcessor::Option::ALGORITHM

static

the strategy used

Definition at line 170 of file assignBondOrderProcessor.h.

## APPLY_FIRST_SOLUTION

const char* BALL::AssignBondOrderProcessor::Option::APPLY_FIRST_SOLUTION

static

apply the first solution directly.

Default is false.

Definition at line 224 of file assignBondOrderProcessor.h.

## BOND_LENGTH_WEIGHTING

const char* BALL::AssignBondOrderProcessor::Option::BOND_LENGTH_WEIGHTING

static

weighting of bond length penalties wrt valence penalties. If set to zero, the valence penalty will not be normalized.

NOTE: This option is still experimental.

Definition at line 218 of file assignBondOrderProcessor.h.

## COMPUTE_ALSO_CONNECTIVITY

const char* BALL::AssignBondOrderProcessor::Option::COMPUTE_ALSO_CONNECTIVITY

static

compute also the connectivity of the molecule

NOTE: This option is still experimental!

Definition at line 152 of file assignBondOrderProcessor.h.

## COMPUTE_ALSO_NON_OPTIMAL_SOLUTIONS

const char* BALL::AssignBondOrderProcessor::Option::COMPUTE_ALSO_NON_OPTIMAL_SOLUTIONS

static

compute also sub-optimal solutions but not more than MAX_NUMBER_OF_SOLUTIONS solutions.

Alternatively Option::MAX_PENALTY allows to specify a maximal penalty.

See also
  Option::MAX_NUMBER_OF_SOLUTIONS
  Option::MAX_PENALTY

Definition at line 211 of file assignBondOrderProcessor.h.

## CONNECTIVITY_CUTOFF

const char* BALL::AssignBondOrderProcessor::Option::CONNECTIVITY_CUTOFF

static

the connectivity cut off

NOTE: This option is still experimental!

Definition at line 158 of file assignBondOrderProcessor.h.

## INIFile

const char* BALL::AssignBondOrderProcessor::Option::INIFile

static

the penalty parameter file

Definition at line 174 of file assignBondOrderProcessor.h.

## KEKULIZE_RINGS

const char* BALL::AssignBondOrderProcessor::Option::KEKULIZE_RINGS

static

kekulize rings

Definition at line 166 of file assignBondOrderProcessor.h.

## MAX_BOND_ORDER

const char* BALL::AssignBondOrderProcessor::Option::MAX_BOND_ORDER

static

the maximal possible bond order

Definition at line 178 of file assignBondOrderProcessor.h.

## MAX_NUMBER_OF_SOLUTIONS

const char* BALL::AssignBondOrderProcessor::Option::MAX_NUMBER_OF_SOLUTIONS

static

the maximal number of solutions to compute

If set to zero all optimal or all up to MAX_PENALTY solutions will be computed.

See also
  Option::COMPUTE_ALSO_NON_OPTIMAL_SOLUTIONS
  Option::MAX_PENALTY

Definition at line 188 of file assignBondOrderProcessor.h.

## MAX_PENALTY

const char* BALL::AssignBondOrderProcessor::Option::MAX_PENALTY

static

the maximal penalty score allowed

This option respects option MAX_NUMBER_OF_SOLUTIONS if specified.

If set to -1 this option will be ignored.

See also
  Option::COMPUTE_ALSO_NON_OPTIMAL_SOLUTIONS
  Option::MAX_NUMBER_OF_SOLUTIONS

Definition at line 200 of file assignBondOrderProcessor.h.

## OVERWRITE_DOUBLE_BOND_ORDERS

const char* BALL::AssignBondOrderProcessor::Option::OVERWRITE_DOUBLE_BOND_ORDERS

static

compute bond orders for all bonds of type double bond order.

See also
  OVERWRITE_SELECTED_BONDS

Definition at line 123 of file assignBondOrderProcessor.h.

## OVERWRITE_SELECTED_BONDS

const char* BALL::AssignBondOrderProcessor::Option::OVERWRITE_SELECTED_BONDS

static

compute bond orders for all selected bonds

NOTE: This option has higher priority than the OVERWRITE_BOND_ORDER-Options.

See also
  Option::OVERWRITE_SINGLE_BOND_ORDERS
  Option::OVERWRITE_DOUBLE_BOND_ORDERS
  Option::OVERWRITE_TRIPLE_BOND_ORDERS

Definition at line 140 of file assignBondOrderProcessor.h.

## OVERWRITE_SINGLE_BOND_ORDERS

const char* BALL::AssignBondOrderProcessor::Option::OVERWRITE_SINGLE_BOND_ORDERS

static

compute bond orders for all bonds of type single bond order.

See also
  OVERWRITE_SELECTED_BONDS

Definition at line 117 of file assignBondOrderProcessor.h.

## OVERWRITE_TRIPLE_BOND_ORDERS

const char* BALL::AssignBondOrderProcessor::Option::OVERWRITE_TRIPLE_BOND_ORDERS

static

compute bond orders for all bonds of type triple bond order.

See also
  OVERWRITE_SELECTED_BONDS

Definition at line 129 of file assignBondOrderProcessor.h.

## USE_FINE_PENALTY

const char* BALL::AssignBondOrderProcessor::Option::USE_FINE_PENALTY

static

additionally use structural information

Definition at line 162 of file assignBondOrderProcessor.h.